Author Topic: PHP version switcher is not completing  (Read 2267 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
PHP version switcher is not completing
« on: May 24, 2019, 09:05:06 PM »
Anyone figured out how to fix the following issue when running PHP version switcher:

Installing shared extensions:     /usr/local/lib/php/extensions/no-debug-non-zts-20170718/


I tried running PHP version switcher, and it is stuck on that part...

----
cc -shared  .libs/imagick_file.o .libs/imagick_class.o .libs/imagickdraw_class.o .libs/imagickpixel_class.o .libs/imagickpixeliterator_class.o .libs/imagick_helpers.o .libs/imagick.o .libs/imagickkernel_class.o .libs/shim_im6_to_im7.o  -lMagickWand -lMagickCore  -Wl,-soname -Wl,imagick.so -o .libs/imagick.so
creating imagick.la
(cd .libs && rm -f imagick.la && ln -s ../imagick.la imagick.la)
/bin/sh /usr/local/src/imagick-3.4.3/libtool --mode=install cp ./imagick.la /usr/local/src/imagick-3.4.3/modules
cp ./.libs/imagick.so /usr/local/src/imagick-3.4.3/modules/imagick.so
cp ./.libs/imagick.lai /usr/local/src/imagick-3.4.3/modules/imagick.la
PATH="$PATH:/sbin" ldconfig -n /usr/local/src/imagick-3.4.3/modules
----------------------------------------------------------------------
Libraries have been installed in:
   /usr/local/src/imagick-3.4.3/modules

If you ever happen to want to link against installed libraries
in a given directory, LIBDIR, you must either use libtool, and
specify the full pathname of the library, or use the `-LLIBDIR'
flag during linking and do at least one of the following:
   - add LIBDIR to the `LD_LIBRARY_PATH' environment variable
     during execution
   - add LIBDIR to the `LD_RUN_PATH' environment variable
     during linking
   - use the `-Wl,--rpath -Wl,LIBDIR' linker flag
   - have your system administrator add LIBDIR to `/etc/ld.so.conf'

See any operating system documentation about shared libraries for
more information, such as the ld(1) and ld.so(8) manual pages.
----------------------------------------------------------------------

Build complete.
Don't forget to run 'make test'.

Installing shared extensions:     /usr/local/lib/php/extensions/no-debug-non-zts-20170718/
Installing header files:          /usr/local/include/php/


----


I did not enable IonCube. I enabled Imagick and IMAP only...  appears to be a bug on the update.